package com.xunhong.erp.turbo.api.user.dto.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

@Getter
@RequiredArgsConstructor
public enum PlatformTypeEnum {
	/**
	 * 平台类型 1 - 管理员浏览器端 2 - 消费者小程序端 3 - 老板移动端 4 - 收银台端
	 */
	ADMIN(1, "管理员浏览器端"),
	CONSUMER(2, "消费者小程序端"),
	BOSS(3, "老板移动端"),
	CASHIER(4, "收银台端");

	@EnumValue
	private final int type;

	private final String message;
}
